"""replaced id with _id and added timestamps for user

Revision ID: 7679f65a21a2
Revises: 601bb183f64c
Create Date: 2018-01-30 21:34:01.603564

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7679f65a21a2'
down_revision = '601bb183f64c'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('users', sa.Column('created_at', sa.DateTime(), nullable=False))
    op.add_column('users', sa.Column('deleted_at', sa.DateTime(), nullable=True))
    op.add_column('users', sa.Column('updated_at', sa.DateTime(), nullable=False))
    op.alter_column('users', 'id', new_column_name='_id')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('users', '_id', new_column_name='id')
    op.drop_column('users', 'updated_at')
    op.drop_column('users', 'deleted_at')
    op.drop_column('users', 'created_at')
    # ### end Alembic commands ###
